
From: Heiko Carstens <heiko.carstens@de.ibm.com>

Make cmm module parameter "sender" visible in sysfs.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/s390/mm/cmm.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/s390/mm/cmm.c~s390-cmm-sender-parameter-visibility arch/s390/mm/cmm.c
--- 25/arch/s390/mm/cmm.c~s390-cmm-sender-parameter-visibility	Thu Jun  2 15:44:19 2005
+++ 25-akpm/arch/s390/mm/cmm.c	Thu Jun  2 15:44:19 2005
@@ -21,7 +21,7 @@
 #include <asm/uaccess.h>
 
 static char *sender = "VMRMSVM";
-module_param(sender, charp, 0);
+module_param(sender, charp, 0400);
 MODULE_PARM_DESC(sender,
 		 "Guest name that may send SMSG messages (default VMRMSVM)");
 
_
